<?php
// +-----------------------------------------------------------------------+
// | photoWidget  - a plugin for Piwigo                                    |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2010-2014 Nicolas Roudaire        http://www.nikrou.net  |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License version 2 as     |
// | published by the Free Software Foundation                             |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
// | MA 02110-1301 USA                                                     |
// +-----------------------------------------------------------------------+


if (!defined('PHPWG_ROOT_PATH')) {
  die('Hacking attempt!');
}

define('PW_PLUGIN_NAME', 'Photo Widget');
define('PW_PLUGIN_ROOT', dirname(__FILE__));
define('PW_PLUGIN_LANG', PW_PLUGIN_ROOT . '/');
define('PW_TEMPLATE', PW_PLUGIN_ROOT . '/template');
define('PW_CSS', PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)). '/css');
define('PW_JS', PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)). '/js');
define('PW_SWF', PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)). '/swf');
define('PW_IMGS', PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)). '/imgs');

include_once "include/photoWidgetConfig.class.php";

load_language('plugin.lang', PW_PLUGIN_LANG);

$plugin_config = new photoWidgetConfig(PW_PLUGIN_ROOT, PW_PLUGIN_NAME);
$plugin_config->load_config();

if (defined('IN_ADMIN')) { 
  add_event_handler('get_admin_plugin_menu_links', array($plugin_config, 'plugin_admin_menu')); 
} else {
  include_once PW_PLUGIN_ROOT . '/public.php';
}

set_plugin_data($plugin['id'], $plugin_config);
